# RadioLib: LR11x0WifiResult_t Struct Reference

LR11x0WifiResult_t Struct Reference

Structure to save result of passive WiFi scan. This result only saves the basic information. More...

`#include <LR11x0.h>`

Inheritance diagram for LR11x0WifiResult_t:

## Public Attributes

char | type
| WiFi (802.11) signal type, 'b', 'n' or 'g'.
uint8_t | dataRateId
| Data rate ID holding information about modulation and coding rate. See LR11x0 user manual for details.
uint16_t | channelFreq
| Channel frequency in MHz.
uint8_t | origin
| MAC address origin: from gateway (1), phone (2) or undetermined (3)
bool | ap
| Whether this signal was sent by an access point (true) or end device (false)
float | rssi
| RSSI in dBm.
uint8_t | mac [RADIOLIB_LR11X0_WIFI_RESULT_MAC_LEN]
| MAC address.

## Detailed Description

Structure to save result of passive WiFi scan. This result only saves the basic information.

The documentation for this struct was generated from the following file:

- src/modules/LR11x0/LR11x0.h